/* --------------------------------------------------------------------------
**	generic CLUT manipulations
** --------------------------------------------------------------------------
**
**	Copyright (C) 1995, The GGI project.
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2, or (at your option)
**	any later version.
**
**	You should have received a copy of the GNU General Public License
**	along with this program; see the file COPYING.  If not, write to
**	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
**
** ---------------------------------------------------------------------------
*/

/* MAINTAINER	"Steffen Seeger, [seeger@physik.tu-chemnitz.de]" */

/*	DAC_PRECISION is the precision of the DAC who included this file.
*/
#if DAC_PRECISION == 6
	#define MAGIC	1040	/* 2^10 + 2^4 */
	#define	SHIFT	10
#endif

#if DAC_PRECISION == 8
	#define	MAGIC	257	/* 2^8 + 2^1 */
	#define	SHIFT	8
#endif

#ifndef MAGIC
	#error DAC_PRECISION not defined!
#endif

static void dac_set_clut(struct kgi_display *dpy, ggi_clut *clut,
			ggi_uint first, ggi_uint cnt)
{
	ushort *data = (ushort *) (clut->data + first);

	ASSERT(cnt);

	cnt += cnt + cnt;

	DAC_out8(dpy, first, DAC_PW_INDEX);
	while (cnt--) {

		DAC_out8(dpy, *(data++) >> SHIFT, DAC_P_DATA);
	}
}

static void dac_get_clut(struct kgi_display *dpy,
			 ggi_clut *clut, ggi_uint first, int cnt)
{
	ushort *data = (ushort *) (clut->data + first);

	cnt += cnt + cnt;

	DAC_out8(dpy, first, DAC_PR_INDEX);
	while (cnt--) {

		register ushort col = DAC_in8(dpy, DAC_P_DATA);
		*(data++) = col*MAGIC;
	}
}
