/*\
|*| ---------------------------------------------------------------------------
|*|	Paradise VGA register definitions
|*| ---------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1997 by Brian S. Julin, <bri@calyx.com>
|*|
|*|	This header is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU Library General Public License as 
|*|	published by the Free Software Foundation; either version 2, or 
|*|     (at your option) any later version.
|*|
|*|	You should have received a copy of the GNU Library General Public 
|*|     License along with this program; see the file COPYING.LGPL.  
|*|	If not, write to the Free Software Foundation, 675 Mass Ave, 
|*|     Cambridge, MA 02139, USA.
|*| ---------------------------------------------------------------------------
\*/

/* MAINTAINER	Brian S. Julin, <bri@calyx.com> */

#ifndef _pvga1a_h
#define _pvga1a_h

#include <IBM/vga.h>

/* New registers */

#define WD_MCA_SETUP            0x93    /* Used to register with MCA bus */

#define WD_WAKEUP               0x102   /* Wake up wd90c3x mmio and PIO */
        #define WD_WAKEY_WAKEY   0x01

#define WD_SLEEP                0x46E8  /* On ISA cards to disable things */
#define WD_SLEEP2               0x56E8  
#define WD_SLEEP3               0x66E8  
#define WD_SLEEP4               0x76E8  
        #define SL_ROMPAGE_MASK 0x03
        #define SL_ENABLE_VGA   0x08
        #define SL_ENBVGA_MASK  0x08
        #define SL_LULLABY      0x10
        #define SL_SLEEP_MASK   0x10

#define WD_SLEEP_NONISA         0x3C3   /* Same, but for MCA/onboard units */
        #define SLNI_LULLIBY    0x01
        #define SLNI_SLEEP_MASK 0x01

/* MISC Register -- modification */

        #undef MISC_25MHZ_CLK
        #undef MISC_28MHZ_CLK
        #define MISC_CLOCK_SEL_B0 0x04
        #define MISC_CLOCK_SEL_B1 0x08

/* SEQ -- Additional registers */

                /* SEQ[3] These chips have a different way of 
		   selecting font maps -- one map, then select plane */
                #undef	SR03_FONTA_MASK	0x2C
                #undef	SR03_FONTB_MASK	0x13
                #define SR03_FONT_LOCATION 0x03   /* Offset inside plane/8K */
                #define SR03_FONT_PLANE_MASK 0x18
                #define SR03_FONT_PLANE2     0x00
                #define SR03_FONT_PLANE2AND3 0x08 /* Uses char attrib bit */
                #define SR03_FONT_PLANE3AND2 0x10 /* Uses char attrib bit */
                #define SR03_FONT_PLANE3     0x18


/* GRC -- Additional registers */

        #define GRC_PR0A 0x09
                #define GR09_PR0A_ADDR 0x7F

        #define GRC_PR0B 0x0A
                #define GR0A_PR0B_ADDR 0x7F

        #define GRC_MEMORY 0x0B
                #define GR0B_ROM_ENAB    0x01
                #define GR0B_ROM_16BIT   0x02
                #define GR0B_RAM_16BIT   0x04
                #define GR0B_PR0B_ENAB   0x08
                #define GR0B_MMAP        0x30
                #define GR0B_RAMSIZE     0xC0
                #define GR0B_256K        0x00
                #define GR0B_256K_BANKED 0x40
                #define GR0B_512K_BANKED 0x80
                #define GR0B_1M_BANKED   0xC0

       #define GRC_VID_CONF 0x0C
               #define GR0C_FORCE_VCLOCK   0x01
               #define GR0C_CLOCK_SEL_B2   0x02
               #define GR0C_CHARMAP_MASK   0x22
               #define GR0C_CHAR_PLANE2    0x00
               #define GR0C_CHAR_0UL       0x02
               #define GR0C_CHAR_PLANE3    0x20
               #define GR0C_CHAR_PLANE2_3  0x22
               #define GR0C_CHARDOT_MASK   0x14
               #define GR0C_8OR9DOT_CHARS  0x00
               #define GR0C_7DOT_CHARS     0x04
               #define GR0C_9DOT_CHARS     0x10
               #define GR0C_6OR10DOT_CHARS 0x14
               #define GR0C_8514_EMU       0x40
               #define GROC_ATT_M24_EMU    0x80

        #define GRC_CRTC_CTL 0x0D
               #define GR0D_VTIMING_LOCK   0x01
               #define GR0D_CR11_NOLOCK    0x02
               #define GR0D_MULT_CURSOR    0x04
               #define GR0D_DISPSTART_MASK 0x18
               #define GR0D_HTIMING_LOCK   0x20
               #define GR0D_HPOL_LOCK      0x40
               #define GR0D_VPOL_LOCK      0x80

        #define GRC_VID_CTL 0x0E
               #define GR0E_SHIFT_256 0x1

        #define GRC_UPGRC_LOCK 0x0F
                #define GR0F_WLOCK_MASK  0x07
                #define GR0F_WUNLOCK     0x05
                #define GR0F_WLOCK       0x02
                #define GR0F_RLOCK       0x10

#define WD_ATT_M24_EMU 0x3DE 

#endif /* not _pvga1a_h */
