/* Monitor definitions for some multiscan monitors
   See definition of flags in ggi/include/kgi.h
*/

#ifdef __Goldstar_56i__
struct kgi_monitor
monitor = {
       "Goldstar",
       "56i",
       GM_ALL,
       FL_MON_POWERSAVE,
       { 1280, 1024 },

       { 284, 213 },
       VGA_COLOR,
       SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
       {       0, 110000000 },
       {   30000,     65000 },
       {      50,       120 }
};
#endif

#ifdef __Goldstar_78m__
struct kgi_monitor
monitor = {
       "Goldstar",
       "78m",
       GM_ALL,
       FL_MON_POWERSAVE,
       { 1600, 1280 },

       { 327, 246 },
       VGA_COLOR,
       SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
       {       0, 135000000 },
       {   30000,     85000 },
       {      50,       120 }
};
#endif

#ifdef __ViewSonic_15G__
struct kgi_monitor
monitor = {
	"ViewSonic",
	"15G",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },

	{ 282, 211 },
	VGA_COLOR,
	SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{ 	0, 90000000 },
	{   30000,    64000 },
	{      50,       90 }
};
#endif

#ifdef __4CM6088__
struct kgi_monitor
monitor = {
	"Philips", 
	"4CM6088",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280,  1024 },

	{ 315, 232 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 110000000 },
	{     30000,     64000 },
	{        50,       100 }
};
#endif

#ifdef __CPD_1730__
struct kgi_monitor
monitor = {
	"Sony Corporation",
	"CPD-1730",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1024,   768 },

	{ 382, 242 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 130000000 },
	{     28000,     58000 },
	{        55,       110 }
};
#endif

#ifdef __CPD_15SF1__
struct kgi_monitor
monitor = {
	"Sony Corporation", 
	"CPD-15SF1",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280,  1024 },

	{ 285, 213 },
	VGA_COLOR,
	SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 130000000 },
	{     31000,     64000 }, /* Manual says 31.5-64 kHz */
	{        50,       120 }
};
#endif

#ifdef __CPD_17SF1__
struct kgi_monitor
monitor = {
	"Sony Corporation", 
	"CPD-17SF1",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280,  1024 },

	{ 328, 242 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 130000000 },
	{     31500,     64000 },
	{        50,       120 }
};
#endif

#ifdef __AlphaScan_15g__
struct kgi_monitor
monitor = {
	"SAMPO", 
	"AlphaScan-15g",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280,   960 },

	{ 285, 213 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 100000000 },
	{     30000,     60000 },
	{        50,        90 }
};
#endif

#ifdef __AlphaScan_761__
struct kgi_monitor
monitor = {
	"SAMPO", 
	"AlphaScan-761",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600,   1280 },

	{ 300, 225 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 135000000 },
	{     30000,     86000 },
	{        50,       120 }
};
#endif

#ifdef __Mag_CM2015__
struct kgi_monitor
monitor = {
	"Magnovox", 
	"Mag-CM2015",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280,  1280 },

	{ 280, 210 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 135000000 },
	{     30000,     60000 },
	{        50,       100 }
};
#endif

#ifdef __Yak_PS1564__
struct kgi_monitor
monitor = {
	"Yakumo",
	"PS1564",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 270, 210 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_MULTISYNC,
	{ 0, 80000000 },
	{ 30000, 64000 },
	{ 50, 100 }
};
#endif

#ifdef __Hanna_VM1492H__
struct kgi_monitor
monitor = {
	"Hanna", 
	"Hanna-VM1492H",
	GM_ALL,
	FL_MON_INTERLACE,
	{ 1152,   900 },

	{ 270, 200 },
	VGA_COLOR,
	SYNC_ON_RED | SYNC_ON_GREEN | SYNC_ON_BLUE,
	{         0, 135000000 },
	{     29000,     50000 },
	{        47,        90 }
};
#endif

#ifdef __Mag_DX15F__
struct kgi_monitor
monitor = {
	"Mag-Innovision", 
	"Mag-DX15F",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1152,  870 },

	{ 280, 210 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_COMPOSITE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0,  80000000 },
	{     30000,     64000 },
	{        50,       100 }
};
#endif

#ifdef __Mag_MXP17F__
struct kgi_monitor
monitor = {
	"Mag-Innovision", 
	"Mag-MXP17F",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1152,  870 },

	{ 315, 232 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 130000000 },
	{     30000,     82000 },
	{        50,       120 }
};
#endif

#ifdef __Mag_DX17T__
struct kgi_monitor
monitor = {
	"Mag-Innovision", 
	"Mag-DX17T",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280,  1024 },
	{ 315, 232 },
	VGA_COLOR,
	SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 100000000 },
	{     28000,     68000 },
	{        50,       100 }
};
#endif

#ifdef __EIZO_F77__
struct kgi_monitor
monitor = {
        "EIZO",
        "FlexScan F77",
        GM_ALL,
        FL_MON_INTERLACE | FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 402, 300 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_ON_GREEN | SYNC_COMPOSITE | SYNC_VESA_DPMS
        | SYNC_MULTISYNC,
        {       0, 180000000 },
        {   30000,     95000 },
        {      50,       160 }
};
#endif

#ifdef __ADI_MicroScan_4V__
struct kgi_monitor
monitor = {
		"ADI",
		"MicroScan 4v",
		GM_ALL,
		FL_MON_POWERSAVE,
		{ 1280, 1024 },
		{ 280, 210 },
		VGA_COLOR,
		SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
		{ 0, 85000000 },
		{ 31000, 64000 },
		{ 50, 100 }
	};
#endif
   
#ifdef __ADI_MicroScan_5V__
struct kgi_monitor
monitor = {
		"ADI",
		"MicroScan 5v/5v+",
		GM_ALL,
		FL_MON_POWERSAVE,
		{ 1280, 1024 },
		{ 300, 225 },
		VGA_COLOR,
		SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
		{ 0, 95000000 },
		{ 30000, 64000 },
		{ 50, 100 }
	};
#endif

#ifdef __NEC_M500__
struct kgi_monitor
monitor = {
   "NEC",
   "M500",
   GM_ALL,
   FL_MON_NORMAL,
   { 1280, 1024 },
   { 280, 210 },
   VGA_COLOR,
   SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS
                 | SYNC_MULTISYNC,
   { 0, 85000000 },
   { 30000, 69000 },
   { 55, 120 }
};
#endif

#ifdef __MTS_9564__
struct kgi_monitor
monitor = {
        "ForeFront",
        "MTS-9564",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1280,   1024 },
        { 280, 210 },
        VGA_COLOR,
        SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        {         0,  65000000 },
        {     30000,     64000 },
        {        70,       100 }
};
#endif

#ifdef __Nokia_447X__
struct kgi_monitor
monitor = {
        "Nokia",
        "Multigraph-447X",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600,   1280 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_NORMAL | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        {     20000, 140000000 }, /* yes the specs had minimum... */
        {     30000,     82000 },
        {        70,       110 }
};
#endif

#ifdef __Iiyama_MF_8221E__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8221E",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 200000000 },
        { 24800, 94000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MF_8221T__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8221T",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 200000000 },
        { 24800, 94000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MF_8721__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8721",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 240000000 },
        { 27000, 110000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MF_8617E__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8617E",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS
                      | SYNC_MULTISYNC,
        { 0, 160000000 },
        { 27000, 86000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MF_8617ES__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8617ES",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS
                      | SYNC_MULTISYNC,
        { 0, 160000000 },
        { 27000, 86000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MF_8617T__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-8617T",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS
                      | SYNC_MULTISYNC,
        { 0, 160000000 },
        { 27000, 86000 },
        { 50, 160 } /* Manuals says 160Hz, but that doesn't look too good */
};
#endif

#ifdef __Iiyama_MT_9017E__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MT-9017E",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 160000000 },
        { 27000, 92000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MT_9017T__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MT-9017T",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 300, 225 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 160000000 },
        { 27000, 92000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MT_9021E__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-9021E",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 200000000 },
        { 24800, 94000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MT_9021T__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MF-9021T",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 200000000 },
        { 24800, 94000 },
        { 50, 160 }
};
#endif

#ifdef __Iiyama_MT_9221__
struct kgi_monitor
monitor = {
        "Iiyama Electric Co, Ltd",
        "Vision Master MT-9221",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1200 },
        { 380, 285 },
        VGA_COLOR,
        SYNC_SEPARATE | SYNC_COMPOSITE | SYNC_ON_GREEN | SYNC_VESA_DPMS | SYNC_MULTISYNC,
        { 0, 240000000 },
        { 27000, 110000 },
        { 50, 160 }
};
#endif

/*
 Manufacturer      : Daewoo
 Model             : CMC1502B1
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 270x203
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_VESA_DPMS,SYNC_MULTISYNC
 Bandwidth         : 85
 Horiz freq. range : 30-64
 Vert freq. range  : 47-120
*/
#ifdef __Daewoo_CMC1502B1__
struct kgi_monitor
monitor = {
	"Daewoo",
	"CMC1502B1",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 270, 203 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_VESA_DPMS|SYNC_MULTISYNC,
	{ 0, 85000000 },
	{ 30000, 64000 },
	{ 47, 120 }
};
#endif /* __Daewoo_CMC1502B1__ */

/*
 Manufacturer      : Samsung
 Model             : SyncMaster 15
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1024x768
 Physical size     : 0x0
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_COMPOSITE,SYNC_ON_GREEN
 Bandwidth         : 75
 Horiz freq. range : 30-58
 Vert freq. range  : 50-90
*/

#ifdef __Samsung_SyncMaster15__
struct kgi_monitor
monitor = {
	"Samsung",
	"SyncMaster 15",
	GM_ALL,
	0,
	{ 1024, 768 },
	{ 0, 0 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_ON_GREEN,
	{ 0, 75000000 },
	{ 30000, 58000 },
	{ 50, 90 }
};
#endif /* __Samsung_SyncMaster15__ */

/*
 Manufacturer      : Magnavox
 Model             : Magnascan/15
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1280x1024
 Physical size     : 290x220
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPERATE,SYNC_STANDBY,SYNC_SUSPEND,SYNC_OFF,SYNC_COMPOSITE
 Bandwidth         : 70
 Horiz freq. range : 30-66
 Vert freq. range  : 50-110
*/
#ifdef __Magnavox_Magnascan15__
struct kgi_monitor
monitor = {
	"Magnavox",
	"Magnascan/15",
	GM_ALL,
	FL_MON_NORMAL,
	{ 1280, 1024 },
	{ 290, 220 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_STANDBY|SYNC_SUSPEND|SYNC_OFF|SYNC_COMPOSITE,
	{ 0, 70000000 },
	{ 30000, 66000 },
	{ 50, 110 }
};
#endif /* __Magnavox_Magnascan15__ */

/*
 Manufacturer      : Fujitsu ICL
 Model             : ErgoPro x173a
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 321x236
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS
 Bandwidth         : 70
 Horiz freq. range : 31-64
 Vert freq. range  : 48-100
*/
#ifdef __Fujitsu_ICL_ErgoPro_x173a__
struct kgi_monitor
monitor = {
	"Fujitsu ICL",
	"ErgoPro x173a",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 321, 236 },
	VGA_COLOR,
	SYNC_VESA_DPMS,
	{ 0, 70000000 },
	{ 31000, 64000 },
	{ 48, 100 }
};
#endif /* __Fujitsu_ICL_ErgoPro_x173a__ */

/*
 Manufacturer      : NEC
 Model             : Multisync 3D
 Modes             : GM_ALL
 Flags             : FL_MON_INTERLACE
 Resolution        : 1024x768
 Physical size     : 350x300
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 70
 Horiz freq. range : 31-90
 Vert freq. range  : 50-160
*/
#ifdef __NEC_Multisync_3D__
struct kgi_monitor
monitor = {
	"NEC",
	"Multisync 3D",
	GM_ALL,
	FL_MON_INTERLACE,
	{ 1024, 768 },
	{ 350, 300 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 70000000 },
	{ 31000, 90000 },
	{ 50, 160 }
};
#endif /* __NEC_Multisync_3D__ */

/*
 Manufacturer      : NEC
 Model             : 4FG
 Modes             : GM_ALL
 Flags             : FL_MON_PROPSIZE
 Resolution        : 1024x768
 Physical size     : 280x210
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 70
 Horiz freq. range : 31.5-62
 Vert freq. range  : 50-90
*/
#ifdef __NEC_4FG__
struct kgi_monitor
monitor = {
	"NEC",
	"4FG",
	GM_ALL,
	FL_MON_PROPSIZE,
	{ 1024, 768 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 70000000 },
	{ 31000, 5000|62000 },
	{ 50, 90 }
};
#endif /* __NEC_4FG__ */

/*
 Manufacturer      : Goldstar
 Model             : 2010
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 365x270
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 30-85
 Vert freq. range  : 50-120
*/
#ifdef __Goldstar_2010__
struct kgi_monitor
monitor = {
	"Goldstar",
	"2010",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 365, 270 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 30000, 85000 },
	{ 50, 120 }
};
#endif /* __Goldstar_2010__ */

/*
 Manufacturer      : EIZO
 Model             : T67S
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 290x390
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 30-95
 Vert freq. range  : 50-160
*/
#ifdef __EIZO_T67S__
struct kgi_monitor
monitor = {
	"EIZO",
	"T67S",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 290, 390 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 30000, 95000 },
	{ 50, 160 }
};
#endif /* __EIZO_T67S__ */

/*
 Manufacturer      : Digital Equipment
 Model             : PCXBV-Tx
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 280x210
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC|SYNC_VESA_DPMS
 Bandwidth         : 70
 Horiz freq. range : 30-65
 Vert freq. range  : 50-120
*/
#ifdef __DigitalEquip_PCXBV_Tx__
struct kgi_monitor
monitor = {
	"Digital Equipment",
	"PCXBV-Tx",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_MULTISYNC|SYNC_VESA_DPMS,
	{ 0, 70000000 },
	{ 30000, 65000 },
	{ 50, 120 }
};
#endif /* __Digital Equipment_PCXBV-Tx__ */

/*
 Manufacturer      : Mitsubishi
 Model             : 17tx
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Physical size     : 300x225
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 135
 Horiz freq. range : 30-86
 Vert freq. range  : 50-152
*/
#ifdef __Mitsubishi_17tx__
struct kgi_monitor
monitor = {
	"Mitsubishi",
	"17tx",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 135000000 },
	{ 30000, 86000 },
	{ 50, 152 }
};
#endif /* __Mitsubishi_17tx__ */

/*
 Manufacturer      : CTX
 Model             : 1565GM
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 270x202
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS
 Bandwidth         : 85
 Horiz freq. range : 30-65
 Vert freq. range  : 50-90
*/
#ifdef __CTX_1565GM__
struct kgi_monitor
monitor = {
        "CTX",
        "1565GM",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1280, 1024 },
        { 270, 202 },
        VGA_COLOR,
        SYNC_VESA_DPMS,
        { 0, 85000000 },
        { 30000, 65000 },
        { 50, 90 }
};
#endif /* __CTX_1565GM__ */

/*
 Manufacturer      : NEC
 Model             : C500
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 281x211
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_STANDBY,SYNC_SUSPEND,SYNC_OFF,SYNC_MULTISYNC
 Bandwidth         : 85
 Horiz freq. range : 30-64
 Vert freq. range  : 50-120
*/
#ifdef __NEC_C500__
struct kgi_monitor
monitor = {
	"NEC",
	"C500",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 281, 211 },
	VGA_COLOR,
	SYNC_STANDBY|SYNC_SUSPEND|SYNC_OFF|SYNC_MULTISYNC,
	{ 0, 85000000 },
	{ 30000, 64000 },
	{ 50, 120 }
};
#endif /* __NEC_C500__ */

/*
 Manufacturer      : Princeton
 Model             : EO70
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 300x225
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 100
 Horiz freq. range : 30-70
 Vert freq. range  : 50-120
*/
#ifdef __Princeton_EO70__
struct kgi_monitor
monitor = {
	"Princeton",
	"EO70",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 100000000 },
	{ 30000, 70000 },
	{ 50, 120 }
};
#endif /* __Princeton_EO70__ */

/*
 Manufacturer      : Dell
 Model             : UltraScan14
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1024x768
 Physical size     : 250x200
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 75
 Horiz freq. range : 31-90
 Vert freq. range  : 50-160
*/
#ifdef __Dell_UltraScan14__
struct kgi_monitor
monitor = {
	"Dell",
	"UltraScan14",
	GM_ALL,
	FL_MON_NORMAL,
	{ 1024, 768 },
	{ 250, 200 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 75000000 },
	{ 31000, 90000 },
	{ 50, 160 }
};
#endif /* __Dell_UltraScan14__ */

/*
 Manufacturer      : Sony
 Model             : Multiscan15sf
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE,FL_MON_PROPSIZE,FL_MON_INTERLACE
 Resolution        : 1280x1024
 Physical size     : 282x221
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 90
 Horiz freq. range : 30-64
 Vert freq. range  : 50-120
*/
#ifdef __Sony_Multiscan15sf__
struct kgi_monitor
monitor = {
	"Sony",
	"Multiscan15sf",
	GM_ALL,
	FL_MON_POWERSAVE|FL_MON_PROPSIZE|FL_MON_INTERLACE,
	{ 1280, 1024 },
	{ 282, 221 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 90000000 },
	{ 30000, 64000 },
	{ 50, 120 }
};
#endif /* __Sony_Multiscan15sf__ */

/*
 Manufacturer      : TARGA
 Model             : TM 4230 TNLD 17"
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 350x300
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 100
 Horiz freq. range : 30-68
 Vert freq. range  : 50-100
*/
#ifdef __TARGA_TM4230TNLD__
struct kgi_monitor
monitor = {
	"TARGA",
	"TM 4230 TNLD",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 350, 300 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 100000000 },
	{ 30000, 68000 },
	{ 50, 100 }
};
#endif /* __TARGA_TM 4230 TNLD 17"__ */

/*
 Manufacturer      : Hitachi
 Model             : CM751ET
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 367x276
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS,SYNC_SEPARATE,SYNC_MULTISYNC
 Bandwidth         : 200
 Horiz freq. range : 31-94
 Vert freq. range  : 50-160
*/
#ifdef __Hitachi_CM751ET__
struct kgi_monitor
monitor = {
        "Hitachi",
        "CM751ET",
        GM_ALL,
        FL_MON_POWERSAVE,
        { 1600, 1280 },
        { 367, 276 },
        VGA_COLOR,
        SYNC_VESA_DPMS|SYNC_SEPARATE|SYNC_MULTISYNC,
        { 0, 200000000 },
        { 31000, 94000 },
        { 50, 160 }
};
#endif /* __Hitachi_CM751ET__ */

/*
 Manufacturer      : CTX
 Model             : 1785
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Physical size     : 
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS
 Bandwidth         : 135
 Horiz freq. range : 30-85
 Vert freq. range  : 50-100
*/
#ifdef __CTX_1785__
struct kgi_monitor
monitor = {
	"CTX",
	"1785",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{  },
	VGA_COLOR,
	SYNC_VESA_DPMS,
	{ 0, 135000000 },
	{ 30000, 85000 },
	{ 50, 100 }
};
#endif /* __CTX_1785__ */

/*
 Manufacturer      : TTX
 Model             : 5500
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 280x210
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_NORMAL,SYNC_MULTISYNC,SYNC_VESA_DPMS
 Bandwidth         : 70
 Horiz freq. range : 30-66
 Vert freq. range  : 50-90
*/
#ifdef __TTX_5500__
struct kgi_monitor
monitor = {
	"TTX",
	"5500",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_NORMAL|SYNC_MULTISYNC|SYNC_VESA_DPMS,
	{ 0, 80000000 },
	{ 30000, 66000 },
	{ 50, 90 }
};
#endif /* __TTX_5500__ */

/*
 Manufacturer      : AST
 Model             : Vision 5L
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Physical size     : 400x300
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 100
 Horiz freq. range : 31.5-82.0
 Vert freq. range  : 50-100
*/
#ifdef __AST_Vision5L__
struct kgi_monitor
monitor = {
	"AST",
	"Vision 5L",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{ 400, 300 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 100000000 },
	{ 31500, 82000 },
	{ 50, 100 }
};
#endif /* __AST_Vision 5L__ */

/*
 Manufacturer      : Panasonic
 Model             : Panasonic 1734
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 328x242
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 135
 Horiz freq. range : 30-64
 Vert freq. range  : 50-160
*/
#ifdef __Panasonic_1734__
struct kgi_monitor
monitor = {
	"Panasonic",
	"Panasonic 1734",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 328, 242 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 135000000 },
	{ 30000, 64000 },
	{ 50, 160 }
};
#endif /* __Panasonic_1734__ */

/*
 Manufacturer      : Samsung
 Model             : SyncMaster 15GL
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE,FL_MON_PROPSIZE
 Resolution        : 1024x768
 Physical size     : 260x195
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_MULTISYNC
 Bandwidth         : 80
 Horiz freq. range : 30-62
 Vert freq. range  : 50-100
*/
#ifdef __Samsung_SyncMstr15GL__
struct kgi_monitor
monitor = {
	"Samsung",
	"SyncMaster 15GL",
	GM_ALL,
	FL_MON_POWERSAVE|FL_MON_PROPSIZE,
	{ 1024, 768 },
	{ 260, 195 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_MULTISYNC,
	{ 0, 80000000 },
	{ 30000, 62000 },
	{ 50, 100 }
};
#endif /* __Samsung_SyncMaster 15GL__ */

/*
 Manufacturer      : ViewSonic
 Model             : PT813
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Physical size     : 533.4
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 70
 Horiz freq. range : 31.47-106.25
 Vert freq. range  : 60-85
*/
#ifdef __ViewSonic_PT813__
struct kgi_monitor
monitor = {
	"ViewSonic",
	"PT813",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{ 533, 4 },	/* What's that ? */
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 70000000 },
	{ 31470, 106250 },
	{ 60, 85 }
};
#endif /* __ViewSonic_PT813__ */

/*
 Manufacturer      : CTX
 Model             : VL500
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 368x382.5
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS
 Bandwidth         : 70
 Horiz freq. range : 30-70
 Vert freq. range  : 50-120
*/
#ifdef __CTX_VL500__
struct kgi_monitor
monitor = {
	"CTX",
	"VL500",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 368, 382.5 },
	VGA_COLOR,
	SYNC_VESA_DPMS,
	{ 0, 70000000 },
	{ 30000, 70000 },
	{ 50, 120 }
};
#endif /* __CTX_VL500__ */

/*
 Manufacturer      : Princeton
 Model             : EO17
 Modes             : GM_ALL
 Flags             : FL_MON_POWER_SAVE
 Resolution        : 1280x1024
 Physical size     : 320x240
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 30-70
 Vert freq. range  : 50-120
*/
#ifdef __Princeton_EO17__
struct kgi_monitor
monitor = {
	"Princeton",
	"EO17",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 320, 240 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 30000, 70000 },
	{ 50, 120 }
};
#endif /* __Princeton_EO17__ */

/*
 Manufacturer      : Chuntex
 Model             : 1785
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 310x232
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 85
 Horiz freq. range : 30-85
 Vert freq. range  : 50-120
*/
#ifdef __Chuntex_1785__
struct kgi_monitor
monitor = {
	"Chuntex",
	"1785",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 310, 232 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 85000000 },
	{ 30000, 85000 },
	{ 50, 120 }
};
#endif /* __Chuntex_1785__ */

#ifdef __NEC_Multisync_XV15__
struct kgi_monitor
monitor = {
	"NEC",
	"Multisync XV15+",
	GM_ALL,
	FL_MON_INTERLACE,
	{ 1024, 768 },
	{ 310, 230 },
	VGA_COLOR,
	SYNC_SEPARATE | SYNC_MULTISYNC,
	{ 0, 85000000 },
	{ 31000, 65000 },
	{ 55, 100 }
};
#endif /* __NEC_Multisync_XV15__ */

/*
 Manufacturer      : Samsung
 Model             : 17GLi
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 320x240
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC SYNC_VESA_DPMS
 Bandwidth         : 110
 Horiz freq. range : 30-65
 Vert freq. range  : 50-120
*/
#ifdef __Samsung_17GLi__
struct kgi_monitor
monitor = {
	"Samsung",
	"17GLi",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 320, 240 },
	VGA_COLOR,
	SYNC_MULTISYNC|SYNC_VESA_DPMS,
	{ 0, 110000000 },
	{ 30000, 65000 },
	{ 50, 120 }
};
#endif /* __Samsung_17GLi__ */

#ifdef __Gateway_CS700__
struct kgi_monitor
monitor = {
	"Gateway 2000",
	"CrystalScan 700",
	GM_ALL,
	FL_MON_INTERLACE | FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_SEPARATE | SYNC_VESA_DPMS | SYNC_MULTISYNC,
	{         0, 110000000 },      /* Upper Bandwidth not given in Specs */
	{     30000,     64000 },
	{        50,       120 }
};
#endif

/*
 Manufacturer      : Samsung
 Model             : SyncMaster 17GLsi
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE, FL_MON_PROPSIZE
 Resolution        : 1280x1024
 Physical size     : 306x230
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE, SYNC_COMPOSITE, SYNC_ON_GREEN
 Bandwidth         : 135
 Horiz freq. range : 30-85
 Vert freq. range  : 50-120
*/
#ifdef __Samsung_SyncMstr17GL__
struct kgi_monitor
monitor = {
	"Samsung",
	"SyncMaster 17GLsi",
	GM_ALL,
	FL_MON_POWERSAVE|FL_MON_PROPSIZE,
	{ 1280, 1024 },
	{ 306, 230 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_ON_GREEN,
	{ 0, 135000000 },
	{ 30000, 85000 },
	{ 50, 120 }
};
#endif /* __Samsung_SyncMaster 17GLsi__ */

/*
 Manufacturer      : Nokia
 Model             : 449Xa
 Modes             : GM_ALL
 Flags             : FL_POWERSAVE
 Resolution        : 1024x768
 Physical size     : 278x207
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_COMPOSITE
 Bandwidth         : 90
 Horiz freq. range : 30-65
 Vert freq. range  : 48-120
*/
#ifdef __Nokia_449Xa__
struct kgi_monitor
monitor = {
	"Nokia",
	"449Xa",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1024, 768 },
	{ 278, 207 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE,
	{ 0, 90000000 },
	{ 30000, 65000 },
	{ 48, 120 }
};
#endif /* __Nokia_449Xa__ */

/*
 Manufacturer      : Vivitron
 Model             : 1776
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1024x1024
 Physical size     : 431.8
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPERATE
 Bandwidth         : 70
 Horiz freq. range : 31-90
 Vert freq. range  : 50-160
*/
#ifdef __Vivitron_1776__
struct kgi_monitor
monitor = {
	"Vivitron",
	"1776",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1024, 1024 },
	{ 431, 8 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 31000, 90000 },
	{ 50, 160 }
};
#endif /* __Vivitron_1776__ */

/*
 Manufacturer      : Sony
 Model             : Vivitron700
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 327x241
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 31.5-70
 Vert freq. range  : 50-120
*/
#ifdef __Sony_Vivitron700__
struct kgi_monitor
monitor = {
	"Sony",
	"Vivitron700",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 327, 241 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 31500, 70000 },
	{ 50, 120 }
};
#endif /* __Sony_Vivitron700__ */

/*
 Manufacturer      : Inc
 Model             : 1443
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 110
 Horiz freq. range : 31-70
 Vert freq. range  : 50-120
*/
#ifdef __Inc_1443__
struct kgi_monitor
monitor = {
	"Inc",
	"1443",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 100,125 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 110000000 },
	{ 31000, 70000 },
	{ 50, 120 }
};
#endif /* __Inc_1443__ */

/*
 Manufacturer      : Nokia
 Model             : 445Xi
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 400x300
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 200
 Horiz freq. range : 30-102
 Vert freq. range  : 50-150
*/
#ifdef __Nokia_445Xi__
struct kgi_monitor
monitor = {
	"Nokia",
	"445Xi",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 400, 300 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 200000000 },
	{ 30000, 102000 },
	{ 50, 150 }
};
#endif /* __Nokia_445Xi__ */


/*
 Manufacturer      : Sony
 Model             : 15sfII
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_VESA_DPMS SYNC_MULTISYNC
 Bandwidth         : 70
 Horiz freq. range : 30-64.2
 Vert freq. range  : 50-100
*/
#ifdef __Sony_15sfII__
struct kgi_monitor
monitor = {
	"Sony",
	"15sfII",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_VESA_DPMS|SYNC_MULTISYNC,
	{ 0, 70000000 },
	{ 30000, 64200 },
	{ 50, 100 }
};
#endif /* __Sony_15sfII__ */

#ifdef __CTX_1569S__
struct kgi_monitor
monitor = {
	"CTX",
	"1569S",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_MULTISYNC|SYNC_NORMAL|SYNC_ON_GREEN,
	{ 0, 90000000 },
	{ 30000, 70000 },
	{ 50, 120 }
};
#endif /* __CTX_1569S__ */

/*
 Manufacturer      : Princeton Graphic Systems
 Model             : EO75
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Physical size     : 300x225
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE SYNC_MULTISYNC SYNC_VESA_DPMS 
 Bandwidth         : 200
 Horiz freq. range : 30-95
 Vert freq. range  : 50-120
*/
#ifdef __Princeton_EO75__
struct kgi_monitor
monitor = {
	"Princeton Graphic Systems",
	"EO75",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_MULTISYNC|SYNC_VESA_DPMS,
	{ 0, 200000000 },
	{ 30000, 95000 },
	{ 50, 120 }
};
#endif /* __Princeton_EO75__ */

/*
 Manufacturer      : Mitsubishi
 Model             : Diamond Scan 15HX
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 280x205
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 100
 Horiz freq. range : 30-64
 Vert freq. range  : 50-90
*/
#ifdef __Mitsubishi_15HX__
struct kgi_monitor
monitor = {
	"Mitsubishi",
	"Diamond Scan 15HX",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 205 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 100000000 },
	{ 30000, 64000 },
	{ 50, 90 }
};
#endif /* __Mitsubishi_15HX__ */

/*
 Manufacturer      : Arche
 Model             : 215ADXL
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 260x195
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_MULTISYNC
 Bandwidth         : 85
 Horiz freq. range : 30-64
 Vert freq. range  : 50-90
*/
#ifdef __Arche_215ADXL__
struct kgi_monitor
monitor = {
	"Arche",
	"215ADXL",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 260, 195 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_MULTISYNC,
	{ 0, 85000000 },
	{ 30000, 64000 },
	{ 50, 90 }
};
#endif /* __Arche_215ADXL__ */


/*
 Manufacturer      : EIZO
 Model             : T562-T
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE,FL_MON_PROPSIZE
 Resolution        : 1600x1200
 Physical size     : 360x270
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 130
 Horiz freq. range : 30-85
 Vert freq. range  : 55-160
*/
#ifdef __EIZO_T562_T__
struct kgi_monitor
monitor = {
	"EIZO",
	"T562-T",
	GM_ALL,
	FL_MON_POWERSAVE|FL_MON_PROPSIZE,
	{ 1600, 1200 },
	{ 360, 270 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 130000000 },
	{ 30000, 85000 },
	{ 55, 160 }
};
#endif /* __EIZO_T562_T__ */


/*
 Manufacturer      : HP
 Model             : UltraVGA 1280
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1280x1024
 Physical size     : 350x300
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 105
 Horiz freq. range : 30-65
 Vert freq. range  : 50-120
*/
#ifdef __HP_UltraVGA_1280__
struct kgi_monitor
monitor = {
	"HP",
	"UltraVGA 1280",
	GM_ALL,
	FL_MON_NORMAL,
	{ 1280, 1024 },
	{ 350, 300 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 105000000 },
	{ 30000, 65000 },
	{ 50, 120 }
};
#endif /* __HP_UltraVGA_1280__ */


/*
 Manufacturer      : Dell
 Model             : D1528-LS
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 262x196
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 31-90
 Vert freq. range  : 50-160
*/
#ifdef __Dell_D1528_LS__
struct kgi_monitor
monitor = {
	"Dell",
	"D1528-LS",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 262, 196 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 31000, 90000 },
	{ 50, 160 }
};
#endif /* __Dell_D1528_LS__ */


/*
 Manufacturer      : HITACHI
 Model             : CM1483ME
 Modes             : GM_ALL
 Flags             : FL_MON_INTERLACE,FL_MON_PROPSIZE
 Resolution        : 1024x768
 Physical size     : 240x180
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_COMPOSITE,SYNC_ON_GREEN,SYNC_MULTISYNC
 Bandwidth         : 45
 Horiz freq. range : 30-40
 Vert freq. range  : 50-100
*/
#ifdef __HITACHI_CM1483ME__
struct kgi_monitor
monitor = {
	"HITACHI",
	"CM1483ME",
	GM_ALL,
	FL_MON_INTERLACE|FL_MON_PROPSIZE,
	{ 1024, 768 },
	{ 240, 180 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_ON_GREEN|SYNC_MULTISYNC,
	{ 0, 45000000 },
	{ 30000, 40000 },
	{ 50, 100 }
};
#endif /* __HITACHI_CM1483ME__ */


/*
 Manufacturer      : ARCHE
 Model             : 514AH
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1024x768
 Physical size     : 248x186
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 65
 Horiz freq. range : 30-50
 Vert freq. range  : 50-100
*/
#ifdef __ARCHE_514AH__
struct kgi_monitor
monitor = {
	"ARCHE",
	"514AH",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1024, 768 },
	{ 248, 186 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 65000000 },
	{ 30000, 50000 },
	{ 50, 100 }
};
#endif /* __ARCHE_514AH__ */

/*
 Manufacturer      : ViewSonic
 Model             : GT775
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 300x225
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 135
 Horiz freq. range : 30-86
 Vert freq. range  : 50-160
*/
#ifdef __ViewSonic_GT775__
struct kgi_monitor
monitor = {
	"ViewSonic",
	"GT775",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 135000000 },
	{ 30000, 86000 },
	{ 50, 160 }
};
#endif /* __ViewSonic_GT775__ */

/*
 Manufacturer      : Mag Innovision
 Model             : Technitron DX715T
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1200
 Tube diagonal     : 17
 Physical size     : 300x220
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 135
 Horiz freq. range : 30-86
 Vert freq. range  : 50-120
*/
#ifdef __Mag_DX715T__
struct kgi_monitor
monitor = {
	"Mag Innovision",
	"Technitron DX715T",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1200 },
	{ 300, 220 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 135000000 },
	{ 30000, 86000 },
	{ 50, 120 }
};
#endif /* __Mag_DX715T__ */

/*
 Manufacturer      : Proview
 Model             : PV-1564A
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 260x190
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPERATE SYNC_COMPOSITE SYNC_VESA_DPMS SYNC_MULTISYNC
 Bandwidth         : 75
 Horiz freq. range : 30-64
 Vert freq. range  : 50-100
*/
#ifdef __Proview_PV_1564A__
struct kgi_monitor
monitor = {
	"Proview",
	"PV-1564A",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 260, 190 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_VESA_DPMS|SYNC_MULTISYNC,
	{ 0, 75000000 },
	{ 30000, 64000 },
	{ 50, 100 }
};
#endif /* __Proview_PV-1564A__ */

/*
 Manufacturer      : Impression, Inc.
 Model             : 5528G
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 265x199
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE,SYNC_COMPOSITE,SYNC_STANDBY,SYNC_SUSPEND
 Bandwidth         : 110
 Horiz freq. range : 30-65
 Vert freq. range  : 50-100
*/
#ifdef __Impression_5528G__
struct kgi_monitor
monitor = {
	"Impression, Inc.",
	"5528G",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 265, 199 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_COMPOSITE|SYNC_STANDBY|SYNC_SUSPEND,
	{ 0, 110000000 },
	{ 30000, 65000 },
	{ 50, 100 }
};
#endif /* __Impression_5528G__ */

/*
 Manufacturer      : AOC
 Model             : Spectrum_5Vlr/5VlrA
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Tube diagonal     : 15
 Physical size     : 285x215
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE, SYNC_MULTISYNC, SYNC_VESA_DPMS
 Bandwidth         : 85
 Horiz freq. range : 30-66
 Vert freq. range  : 50-100
*/
#ifdef __AOC_Spectrum_5Vlr__
struct kgi_monitor
monitor = {
	"AOC",
	"Spectrum_5Vlr/5VlrA",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 285, 215 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_MULTISYNC|SYNC_VESA_DPMS,
	{ 0, 85000000 },
	{ 30000, 66000 },
	{ 50, 100 }
};
#endif /* __AOC_Spectrum_5Vlr__ */


/*
 Manufacturer      : Hewlett-Packard
 Model             : Ultra VGA 1600
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1600x1280
 Physical size     : 390x290
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 150
 Horiz freq. range : 30-82
 Vert freq. range  : 50-152
*/
#ifdef __HP_UltraVGA_1600__
struct kgi_monitor
monitor = {
	"Hewlett-Packard",
	"Ultra VGA 1600",
	GM_ALL,
	FL_MON_NORMAL,
	{ 1600, 1280 },
	{ 390, 290 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 150000000 },
	{ 30000, 82000 },
	{ 50, 152 }
};
#endif /* __HP_UltraVGA_1600__ */

/*
 Manufacturer      : Philips Magnavox
 Model             : MV5011
 Modes             : GM_ALL
 Flags             : FL_MON_INTERLACE|FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 280x210
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 65
 Horiz freq. range : 30-54
 Vert freq. range  : 50-110
*/
#ifdef __Philips_MV5011__
struct kgi_monitor
monitor = {
	"Philips Magnavox",
	"MV5011",
	GM_ALL,
	FL_MON_INTERLACE|FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 65000000 },
	{ 30000, 54000 },
	{ 50, 110 }
};
#endif /* __Philips_MV5011__ */


/*
 Manufacturer      : Nokia
 Model             : Valuegraph 447V
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 300x225
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 90
 Horiz freq. range : 31-64
 Vert freq. range  : 48-100
*/
#ifdef __Nokia_447V__
struct kgi_monitor
monitor = {
	"Nokia",
	"Valuegraph 447V",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 300, 225 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 90000000 },
	{ 31000, 64000 },
	{ 48, 100 }
};
#endif /* __Nokia_447V__ */

/*
 Manufacturer      : Princeton Graphic Systems
 Model             : EO50
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280X1024
 Tube diagonal     : 15
 Physical size     : 366X379X408
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 80
 Horiz freq. range : 30-70
 Vert freq. range  : 50-120
*/
#ifdef __Princeton_EO50__
struct kgi_monitor
monitor = {
	"Princeton Graphic Systems",
	"EO50",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280,1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 80000000 },
	{ 30000, 70000 },
	{ 50, 120 }
};
#endif /* __Princeton_EO50__ */

/*
 Manufacturer      : Mitsubishi
 Model             : 91TXM
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Physical size     : 390x310
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 75
 Horiz freq. range : 31-95
 Vert freq. range  : 50-160
*/
#ifdef __Mitsubishi_91TXM__
struct kgi_monitor
monitor = {
	"Mitsubishi",
	"91TXM",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 390, 310 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 75000000 },
	{ 31000, 95000 },
	{ 50, 160 }
};
#endif /* __Mitsubishi_91TXM__ */

/*
 Manufacturer      : Sony
 Model             : Multiscan 17sfII
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1280x1024
 Physical size     : 328x242
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SERPARATE,SYNC_VESA_DPMS,SYNC_MULTISYNC
 Bandwidth         : 80
 Horiz freq. range : 31-65
 Vert freq. range  : 50-160
*/
#ifdef __Sony_Multiscan_17sfII__
struct kgi_monitor
monitor = {
	"Sony",
	"Multiscan 17sfII",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1280, 1024 },
	{ 328, 242 },
	VGA_COLOR,
	SYNC_SERPARATE|SYNC_VESA_DPMS|SYNC_MULTISYNC,
	{ 0, 80000000 },
	{ 31000, 65000 },
	{ 50, 160 }
};
#endif /* __Sony_Multiscan_17sfII__ */


/*
 Manufacturer      : NEC
 Model             : Multisync 4FGe
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1200x1024
 Physical size     : 280x210
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_MULTISYNC
 Bandwidth         : 80
 Horiz freq. range : 27-62
 Vert freq. range  : 55-90
*/
#ifdef __NEC_Multisync_4FGe__
struct kgi_monitor
monitor = {
	"NEC",
	"Multisync 4FGe",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1200, 1024 },
	{ 280, 210 },
	VGA_COLOR,
	SYNC_MULTISYNC,
	{ 0, 80000000 },
	{ 27000, 62000 },
	{ 55, 90 }
};
#endif /* __NEC_Multisync_4FGe__ */


/*
 Manufacturer      : DecaView
 Model             : G380
 Modes             : GM_ALL
 Flags             : 
 Resolution        : 1024x768
 Physical size     : 305x229
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 70
 Horiz freq. range : 30-70
 Vert freq. range  : 55-120
*/
#ifdef __DecaView_G380__
struct kgi_monitor
monitor = {
	"DecaView",
	"G380",
	GM_ALL,
	FL_MON_NORMAL,
	{ 1024, 768 },
	{ 305, 229 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 70000000 },
	{ 30000, 70000 },
	{ 55, 120 }
};
#endif /* __DecaView_G380__ */

/*
 Manufacturer      : ADI
 Model             : ProVista 14
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1024x768
 Physical size     : 275x200
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 50
 Horiz freq. range : 31-50
 Vert freq. range  : 50-100
*/
#ifdef __ADI_ProVista_14__
struct kgi_monitor
monitor = {
	"ADI",
	"ProVista 14",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1024, 768 },
	{ 275, 200 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 50000000 },
	{ 31000, 50000 },
	{ 50, 100 }
};
#endif /* __ADI_ProVista_14__ */


/*
 Manufacturer      : Goldstar
 Model             : 20i
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1600x1280
 Tube diagonal     : 20
 Physical size     : 365x270
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE, SYNC_VESA_DPMS, SYNC_MULTISYNC, SYNC_COMPOSITE
 Bandwidth         : 135
 Horiz freq. range : 30-85
 Vert freq. range  : 50-120
*/
#ifdef __Goldstar_20i__
struct kgi_monitor
monitor = {
	"Goldstar",
	"20i",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1600, 1280 },
	{ 365, 270 },
	VGA_COLOR,
	SYNC_SEPARATE|SYNC_VESA_DPMS|SYNC_MULTISYNC|SYNC_COMPOSITE,
	{ 0, 135000000 },
	{ 30000, 85000 },
	{ 50, 120 }
};
#endif /* __Goldstar_20i__ */

/*
 Manufacturer      : Daewoo
 Model             : CMC-1427X
 Modes             : GM_ALL
 Flags             : FL_MON_POWERSAVE
 Resolution        : 1024x768
 Physical size     : 270x203
 Displaytype       : VGA_COLOR
 Syncing           : SYNC_SEPARATE
 Bandwidth         : 65
 Horiz freq. range : 31-48
 Vert freq. range  : 50-100
*/
#ifdef __Daewoo_CMC_1427X__
struct kgi_monitor
monitor = {
	"Daewoo",
	"CMC-1427X",
	GM_ALL,
	FL_MON_POWERSAVE,
	{ 1024, 768 },
	{ 270, 203 },
	VGA_COLOR,
	SYNC_SEPARATE,
	{ 0, 65000000 },
	{ 31000, 48000 },
	{ 50, 100 }
};
#endif /* __Daewoo_CMC_1427X__ */
