/* 
   Graphics library for GGI.

   Copyright (C) 1995 Andreas Beck - becka@hp.rz.uni-duesseldorf.de
   Copyright (C) 1997 Jason McMullan - jmcc@cs.cmu.edu

   If you do any modifications, I would like you to send diffs to me
   to allow for collecting a more and more complete set of drivers and
   to improve existing ones.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "ggi-dl.h"

#include "font/8x8"

/**********TEMPORARY*******/
/* Put a character at x,y */
/**************************/
int GGIputc(ggi_visual *vis,int x,int y,char c)
{
	int height=8,w;volatile uint8 *adr;
	uint8 *field,mask1,mask2,foo;

	if((x  >=VIS_GC(vis)->clipbr.x) || (y  >=VIS_GC(vis)->clipbr.y)||
	   (x+8<=VIS_GC(vis)->cliptl.x) || (y+8<=VIS_GC(vis)->cliptl.y)) 
		return 0;

	field=font+((uint8)c<<3);
	w=VIS_FB_WIDTH(vis)>>3;
	adr=((uint8 *)VIS_FB_LINEAR(vis))+y*w+(x>>3);

	if (y<VIS_GC(vis)->cliptl.y) {
	  height-=VIS_GC(vis)->cliptl.y-y;
	  field+=VIS_GC(vis)->cliptl.y-y;
	  adr+=w*(VIS_GC(vis)->cliptl.y-y);
	}
	if (y+8>VIS_GC(vis)->clipbr.y) height=VIS_GC(vis)->clipbr.y-y;

	if ((x&7)==0) {
		mask1=0xff;
		if (x<VIS_GC(vis)->cliptl.x) 
			mask1&=0xff>>(VIS_GC(vis)->cliptl.x-x);
		if (x+8>VIS_GC(vis)->clipbr.x) 
			mask1&=0xff<<(x+8-VIS_GC(vis)->clipbr.x);
		if (mask1==0xff) {
			if (VIS_GC_BGCOLOR(vis)&1) {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w)
						*adr=0xff;
				} else {
					for(;height--;adr+=w,field+=1)
						*adr=~*field;
				}
			} else {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w,field+=1)
						*adr=*field;
				} else {
					for(;height--;adr+=w)
						*adr=0x00;
				}
			}
		} else {
			if (VIS_GC_BGCOLOR(vis)&1) {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w)
						*adr|=mask1;
				} else {
					for(;height--;adr+=w,field+=1)
						*adr=(~*field&mask1)|
							(*adr&~mask1);
				}
			} else {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w,field+=1)
						*adr=(*field&mask1)|
							(*adr&~mask1);
				} else {
					for(;height--;adr+=w)
						*adr&=~mask1;
				}
			}			
		}
	} else if (x+8>VIS_FB_WIDTH(vis)) {
		mask1=~(0xff>>(x&7));	
		if (VIS_GC_BGCOLOR(vis)&1) {
			if (VIS_GC_FGCOLOR(vis)&1) {
			for(;height--;adr+=w) *adr|=~mask1;
			} else {
				for(;height--;adr+=w,field+=1) 
					*adr=(*adr&mask1)|(*field>>(x&7));
			}
		} else {
			if (VIS_GC_FGCOLOR(vis)&1) {
				for(;height--;adr+=w,field+=1) 
					*adr=(*adr&mask1)|(*field>>(x&7));
			} else {
				for(;height--;adr+=w) *adr&=mask1;
			}
		}
	} else {
		foo=0xff;
		if (x<VIS_GC(vis)->cliptl.x) 
			foo&=0xff>>(VIS_GC(vis)->cliptl.x-x);
		if (x+8>VIS_GC(vis)->clipbr.x) 
			foo&=0xff<<(x+8-VIS_GC(vis)->clipbr.x);
		mask1=foo>>( x&7);
		mask2=foo<<(-x&7);
		if ((mask1!=0) && (mask2!=0)) {
			if (VIS_GC_BGCOLOR(vis)&1) {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w) {
						adr[0]|=mask1;
						adr[1]|=mask2;
					}
				} else {
					for(;height--;adr+=w,field+=1) {
						adr[0]=((~*field>>( x&7))&mask1)|(adr[0]&~mask1);
						adr[1]=((~*field<<(-x&7))&mask2)|(adr[1]&~mask2);
					}
				}
			} else {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w,field+=1) {
						adr[0]=((*field>>( x&7))&mask1)|(adr[0]&~mask1);
						adr[1]=((*field<<(-x&7))&mask2)|(adr[1]&~mask2);
					}
				} else {
					for(;height--;adr+=w) {
						adr[0]&=~mask1;
						adr[1]&=~mask2;
					}
				}
			}
		} else if ((mask1==0) && (mask2!=0)) {
			if (VIS_GC_BGCOLOR(vis)&1) {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w) {
						adr[1]|=mask2;
					}
				} else {
					for(;height--;adr+=w,field+=1) {
						adr[1]=((~*field<<(-x&7))&mask2)|(adr[1]&~mask2);
					}
				}
			} else {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w,field+=1) {
						adr[1]=((*field<<(-x&7))&mask2)|(adr[1]&~mask2);
					}
				} else {
					for(;height--;adr+=w) {
						adr[1]&=~mask2;
					}
				}
			}
		} else if (mask1 && (mask2==0)) {
			if (VIS_GC_BGCOLOR(vis)&1) {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w) {
						adr[0]|=mask1;
					}
				} else {
					for(;height--;adr+=w,field+=1) {
						adr[0]=((~*field>>( x&7))&mask1)|(adr[0]&~mask1);
					}
				}
			} else {
				if (VIS_GC_FGCOLOR(vis)&1) {
					for(;height--;adr+=w,field+=1) {
						adr[0]=((*field>>( x&7))&mask1)|(adr[0]&~mask1);
					}
				} else {
					for(;height--;adr+=w) {
						adr[0]&=~mask1;
					}
				}
			}
		} else if ((mask1==0) && (mask2==0)) {
			return 0;
		}
	}
	return 0;
}


/****TEMPORARY*******/
/* graphical printf */
/********************/
int GGIputs(ggi_visual *vis,int x,int y,const char *str)
{
	int rc=0;
	
	while(*str) {
		GGIputc(vis,x,y,*str++);
		rc++;
		if ((x+=8)>=VIS_FB_WIDTH(vis)) {
			x=0;y+=8;
		}
	}

	return rc;
}
