#include <stdlib.h>
#include <ggi/libggi.h>

ggi_visual_t *vis;

void main(int argc, char *argv[])
{ int maxz,x,y,xz,last;

  ggi_mode mode;
  int xmax, ymax, colorsmax;
  ggi_pixel z;

  if (ggiInit() != 0) {
	fprintf(stderr, "%s: unable to initialize libggi, exiting.\n",
		argv[0]);
	exit(1);
  }
  if ((vis=ggiOpen(NULL)) == NULL) {
	  fprintf(stderr,
		  "%s: unable to open default visual, exiting.\n",
		  argv[0]);
	  exit(1);
  }
  ggiSetInfoFlags(vis, GGIFLAG_ASYNC);

  if(ggiSetGraphMode(vis,GGI_AUTO,GGI_AUTO,GGI_AUTO,GGI_AUTO,GGI_AUTO))
        ggiPanic("Cannot set default mode!\n");

  ggiGetMode(vis, &mode);
  xmax = mode.virt.x;
  ymax = mode.virt.y;
  switch(mode.graphtype) {
    case GT_8BIT: colorsmax=256; break;
    case GT_15BIT: colorsmax=32768; break;
    case GT_16BIT: colorsmax=65536; break;
    case GT_24BIT:
    case GT_32BIT: colorsmax=16777216; break;
    default: ggiPanic("Default bitdepth unsupported!\n");
  }

#if 0
  for(y=0;y<ymax;y++)
   for(x=xmax/5;x<xmax;x++)
    putpixel(x,y,((x-y)/5)&15);
#endif

  ggiSetGCForeground(vis,17);

  if(mode.graphtype==GT_TEXT16 || mode.graphtype==GT_TEXT32) {
    ggiPuts(vis,10, 7,"\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\xdb\xdb\xdb");
    ggiPuts(vis,10, 8,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10, 9,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10,10,"\x20\xdb\x20\x20\x20\x20\x20\x20\x20\xdb\x20\x20\x20\x20\x20\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10,11,"\x20\xdb\x20\x20\x20\xdb\xdb\x20\x20\xdb\x20\x20\x20\xdb\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10,12,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10,13,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,10,14,"\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\xdb\xdb\xdb");
  } else {
    ggiPuts(vis,80, 52,"\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\xdb\xdb\xdb");
    ggiPuts(vis,80, 60,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80, 68,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80, 76,"\x20\xdb\x20\x20\x20\x20\x20\x20\x20\xdb\x20\x20\x20\x20\x20\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80, 84,"\x20\xdb\x20\x20\x20\xdb\xdb\x20\x20\xdb\x20\x20\x20\xdb\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80, 92,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80,100,"\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\xdb\x20\x20\x20\x20\xdb\x20\x20\x20\xdb\x20");
    ggiPuts(vis,80,108,"\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\x20\xdb\xdb\xdb\xdb\x20\x20\x20\xdb\xdb\xdb");
  }

  for(y=0;y<ymax;y++)
   for(x=0;x<xmax/5;x++)
    ggiPutPixel(vis,x,y,random()%colorsmax/*(x+y)&15*/);

  for(y=0;y<ymax;y++)
  {
   maxz=-1;last=0;
   for(x=xmax/5;x<xmax;x++)
   {
     ggiGetPixel(vis,x,y,&z);
     xz=(x-xmax/5)+z;
     if (xz<=maxz)
       xz=random()%(xmax/5)/*last*/;
     else
       maxz=xz;

     ggiGetPixel(vis,last=xz,y,&z);
     ggiPutPixel(vis,x,y,z);
   }
  }
  ggiFlush(vis);
  ggiGetc(vis);
  ggiClose(vis);
  ggiExit();
}
