#ifndef _ggi_internal_h_
#define _ggi_internal_h_

#define _BUILDING_LIBGGI

#include <ggi/libggi.h>

#include "debug.h"
#include "structs.h"
#include "threads.h" 


/* conf.c */

typedef struct ggi_string_list {
	const char *str;
	struct ggi_string_list *next;
} ggi_string_list;

typedef struct ggi_dlconfig {
	const char *name;
	const char *filename;
	ggi_string_list *version;
	struct ggi_dlconfig *next;
} ggi_dlconfig;

/* conf.c */
int         _ggiLoadConfig(const char *filename);
const char *_ggiMatchConfig(const char *name,const char *rev);

/* dl.c */
ggi_dlhandle *_ggiOpenDL(ggi_visual *vis,const char *driver,const char *args);
void _ggiCloseDL(ggi_visual *vis,ggi_uint types);

ggi_dlhandle *_ggiAddDL(ggi_visual *,const char *drv,const char *args,int type);
void _ggiRemoveDL(ggi_visual *,ggi_dlhandle_l **lib);

/* mode.c */
int _ggiSetupMode(ggi_visual *vis);

/* stubs.c */
int _ggiDrawHLine(ggi_visual_t vis,int x,int y,int w);
int _ggiDrawVLine(ggi_visual_t vis,int x,int y,int h);
int _ggiDrawPixel(ggi_visual_t vis,int x,int y);

/* visual.c */
void _ggiZapMode(ggi_visual *vis,ggi_uint types);

ggi_visual *_ggiNewVisual(void);
void _ggiDestroyVisual(ggi_visual *vis);

#define VIS_FD(vis)   (vis->fd)
#define VIS_GC(vis)   (vis->gc)
#define VIS_GC_FGCOLOR(vis) (vis->gc->fg_color)
#define VIS_GC_BGCOLOR(vis) (vis->gc->bg_color)
#define VIS_EVQUEUE(vis) (vis->evqueue)
#define VIS_EVMASK(vis) (vis->evmask)
#define VIS_PRIVATE(vis) (vis->priv)
#define VIS_DLHANDLE(vis) (vis->dlhandle)
#define VIS_MODE(vis) (vis->info.mode)
#define VIS_FLAGS(vis) (vis->info.flags)
#define VIS_SELECT_FD(vis) (vis->info.select_fd)
#define VIS_DB(vis)   (vis->info.db)

#define VIS_FB_BPP(vis) (vis->info.fb.bpp)
#define VIS_FB_BPC(vis) (vis->info.fb.bpc)
#define VIS_FB_BPA(vis) (vis->info.fb.bpa)
#define VIS_FB_LINEAR(vis) (vis->info.fb.linear)
#define VIS_FB_LINEAR_SIZE(vis) (vis->info.fb.linear_size)
#define VIS_FB_WIDTH(vis) (vis->info.fb.width)
#define VIS_FB_HEIGHT(vis) (vis->info.fb.height)

#endif /* _ggi_internal_h_ */

