/* 
   Mystique text16 library

   Copyright (C) 1997 Matthias Grimrath - m.grimrath@tu-bs.de

   Anyone is welcome to improve this lib and send diffs to me.
 
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/mman.h>

#include "ggi-dl.h"
#include <ggi/ggi_commands.h>
#include <Matrox/mga_common_lib.h>
#include <Matrox/mga_common_regs.h>
#include <Matrox/mga1064_main.h>

/* 
 * We are guaranteed to have been checked already...
 */

static ggi_gc *_ggiGC=NULL;

/*
** GGIlib interface
*/

int GGIdlinit(ggi_visual *visual,const char *version)
{
	if (VIS_GC(visual)==NULL) {
		_ggiGC=malloc(sizeof(ggi_gc));
		if (_ggiGC==NULL) {
			return GGI_DL_ERROR;
		}
		_ggiGC->version=0;
/*		_ggiLockInit(_ggiGC);*/
	}

	if (VIS_GC(visual)==NULL)
		VIS_GC(visual)=_ggiGC;

	/* Positioning is not supported...
	 */

	/* Sprites aren't supported...
	 */

	/* Generic drawing
	 */
	visual->op2d->drawpixel=GGIdrawpixel;
	visual->op2d->getpixel=GGIgetpixel;
	visual->op2d->putpixel=GGIputpixel;
	visual->op2d->putc=GGIputc;
	visual->op2d->puts=GGIputs;
	
	return GGI_DL_OP2D;
}

int GGIdlcleanup(ggi_visual *visual)
{
	if (VIS_GC(visual)==_ggiGC) {
/*		_ggiLockDestroy(VIS_GC(visual));*/
		free(VIS_GC(visual));
		VIS_GC(visual)=NULL;
		_ggiGC=NULL;
	}

	return EOK;
}
